
:class:`ImageStim`
------------------------------------------------------------------------

As of PsychoPy version 1.79.00 *some* of the properties for
this stimulus can be set using the syntax::

    stim.pos = newPos
    
others need to be set with the older syntax::

    stim.setImage(newImage)

Attributes
=============

.. currentmodule:: psychopy.visual

.. autosummary:: 

    ImageStim
    ImageStim.win
    ImageStim.setImage
    ImageStim.setMask
    ImageStim.units
    ImageStim.pos
    ImageStim.ori
    ImageStim.size
    ImageStim.contrast
    ImageStim.color
    ImageStim.colorSpace
    ImageStim.opacity
    ImageStim.interpolate
    ImageStim.contains
    ImageStim.overlaps
    ImageStim.name
    ImageStim.autoLog
    ImageStim.draw
    ImageStim.autoDraw
    ImageStim.clearTextures 
    
        
Details
=============

.. autoclass:: ImageStim
    :members:
    :undoc-members:
    :inherited-members: